ftdi_transfer_control(3)

NAME
ftdi_transfer_control

SYNOPSIS

#include <ftdi.h>

  Public Attributes
int completed
unsigned char * buf
int size
int offset
struct ftdi_context * ftdi
struct libusb_transfer * transfer

Detailed Description

Definition at line 256 of file ftdi.h.

Member Data Documentation

  int ftdi_transfer_control::completed

Definition at line 258 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_cancel(), ftdi_transfer_data_done(), and ftdi_write_data_submit().

  unsigned char* ftdi_transfer_control::buf

Definition at line 259 of file ftdi.h.

Referenced by ftdi_read_data_submit(), and ftdi_write_data_submit().

  int ftdi_transfer_control::size

Definition at line 260 of file ftdi.h.

Referenced by ftdi_read_data_submit(), and ftdi_write_data_submit().

  int ftdi_transfer_control::offset

Definition at line 261 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_done(), and ftdi_write_data_submit().

  struct ftdi_context* ftdi_transfer_control::ftdi

Definition at line 262 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_cancel(), ftdi_transfer_data_done(), and ftdi_write_data_submit().

  struct libusb_transfer* ftdi_transfer_control::transfer

Definition at line 263 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_cancel(), ftdi_transfer_data_done(), and ftdi_write_data_submit().

Author

Generated automatically by Doxygen for libftdi1 from the source code.